#include <fstream>
#include "network_manager.hh"
#include "dump_config.hh"

network_config::ConfigManager manager;


int main (int argc, char** argv)
{
  if (argc != 2) {
    std::cerr << argv [0] << " <config file>" << std::endl;
    exit (1);
  }

  std::ifstream input (argv[1]);
  if (!input) {
    std::cerr << "unable to open " << argv[1] << std::endl;
    exit (1);
  }

  manager.Parse (input);

  WalkTree (manager.getRoot (), 0);
}
