#include <klocale.h>
#include "address_tab.hh"

AddressTab::AddressTab (QWidget* parent, network_config::AddressSubsection* subsection)
  : QVBox (parent)
{
  dhcp = new QCheckBox (this);
  dhcp -> setText (i18n("automatic configuration (dhcp)"));
  abox = new AddressBox (this);
  QObject::connect (dhcp, SIGNAL (toggled (bool)), this, SLOT ( Dhcp (bool)) );
  NewConfig (subsection);
}

void AddressTab::NewConfig (network_config::AddressSubsection* subsection)
{
  config = subsection;
  if (!config -> Address (0))
    config -> setDhcp (true);
  dhcp -> setChecked (config -> Dhcp ());
  abox -> NewConfig (subsection);
}

void AddressTab::Dhcp (bool state)
{
  config -> setDhcp (state);
  abox -> setEnabled (!state);
}
