#include "qtabwidget.h"
#include "device.hh"

class AddressTab;

class EtherDevice : public Device
{
  Q_OBJECT
public:
  EtherDevice  (const QString& interface, DeviceManager* device_manager, ProfileManager* profile_manager);

  virtual QPixmap* GetEnabledPicture ();
  virtual QPixmap* GetDisabledPicture ();
  virtual const QString& GetName ();
  virtual const QString& GetTitle ();

protected:
  virtual void BuildContent (QVBox* box);
  virtual void RefreshContent ();  
  virtual void EnabledToggled ();
  virtual void ActiveToggled (bool state);

  QString title;
  QString iface;
  QString suffix;
  QString fulltitle;
  QPixmap* enabled;
  QPixmap* disabled;

  QTabWidget* main_tab;
  AddressTab* a_tab;
};
