#include <qpixmap.h>
#include <kstandarddirs.h>
#include <iostream>

namespace PixmapData {
  QPixmap* ether = 0;
  QPixmap* ether_disabled = 0;
  QPixmap* wireless = 0;
  QPixmap* wireless_disabled = 0;
  QPixmap* ppp = 0;
  QPixmap* ppp_disabled = 0;
  QPixmap* sm_telephone_up = 0;
  QPixmap* sm_telephone_rec = 0;
  QPixmap* sm_antenna = 0;
  QPixmap* sm_plug = 0;
  QPixmap* dot = 0;
}

QPixmap* EnsurePixmap ( QPixmap*& pm, const char* name )
{
  if (!pm) {
    QString location = locate("appdata", QString("pixmaps/") + name + QString(".png"));
    pm = new QPixmap (location);
  }
  return pm;
}



QPixmap* GetEther (bool enabled = true)
{
  if (enabled)
    return EnsurePixmap (PixmapData::ether, "ether");
  else
    return EnsurePixmap (PixmapData::ether_disabled, "ether-disabled");
}

QPixmap* GetWireless (bool enabled = true)
{
  if (enabled)
    return EnsurePixmap (PixmapData::wireless, "wlan");
  else
    return EnsurePixmap (PixmapData::wireless_disabled, "wlan-disabled");
}

QPixmap* GetPPP (bool enabled = true)
{
  if (enabled)
    return EnsurePixmap (PixmapData::ppp, "telephone-big");
  else
    return EnsurePixmap (PixmapData::ppp_disabled, "telephone-big-disabled");
}

QPixmap* GetSmallTelephone (bool hung_up)
{
  if (hung_up)
    return EnsurePixmap (PixmapData::sm_telephone_up, "telephone");
  else
    return EnsurePixmap (PixmapData::sm_telephone_rec, "telephone_receiver");
}

QPixmap* GetSmallAntenna ()
{
  return EnsurePixmap (PixmapData::sm_antenna, "wlan-small");
}

QPixmap* GetSmallPlug ()
{
  return EnsurePixmap (PixmapData::sm_plug, "ether-small");
}

QPixmap* GetDot ()
{
  return EnsurePixmap (PixmapData::dot, "dot");
}


