#include <qbuttongroup.h>
#include <vector>
#include <qpushbutton.h>

class EtherDev;
class QPixmap;

namespace network_config {
  class PPPSubsection;
}

class InterfaceButton : public QPushButton
{
  Q_OBJECT;
public:
  InterfaceButton (QWidget* parent, QPixmap* picture, unsigned int id);
  
  void Up ();
  void Down ();
signals:
  void PushedDown (unsigned int id);
private slots:
  void selfToggled (bool status);
private:
  unsigned int my_id;
  bool signal_lock;
};


class PPPOETab : public QButtonGroup
{
  Q_OBJECT
public:
  PPPOETab (QWidget* parent, const std::vector<EtherDev*>& devices);
  
  void NewConfig (network_config::PPPSubsection* subsection);
  
private slots:
  void InterfacePushed (unsigned int id);

private:
  void SetInterface (unsigned int id);

  void CreateInterfaceButton (unsigned int i);
  void CreateInterfaceLabel (unsigned int i);

  QPixmap* ether;
  QPixmap* wireless;

  const std::vector<EtherDev*>& available_devices;
  std::vector <InterfaceButton*> buttons;
  network_config::PPPSubsection* config;
};
