#include <qhbox.h>

class ProfileManager;
class QPushButton;
class QComboBox;
class QPixmap;

class ProfileSwitch : public QHBox
{
  Q_OBJECT
public:
  ProfileSwitch (QWidget* parent, ProfileManager* manager);

private slots:
  // connected to ProfileManagers signal 
  void slotRebuildList ();
  void slotNewActive ();
  void slotNewConfig ();

  // connected to private widgets
  void slotConfigSelected (int index);
  void slotToggleActive ();
private:
  void SetButtonLabel ();

  bool self_induced; // to avoid infinite signal recursion
  QComboBox* config_selection;
  QPushButton* activator;
  QPixmap* active_mark;
  ProfileManager* m_manager;
};
