#include <qlabel.h>
#include <qpixmap.h>
#include <qtimer.h>
#include <qlayout.h>
#include <klocale.h>

#include "wireless_status.hh"
#include "systeminfo.hh"
#include "pixmaps.hh"

WirelessStatus::WirelessStatus (QWidget* parent, const std::string& device)
  : QHBox (parent)
{
  dev = device;
  format = QString (dev.c_str()) + QString (" ") + i18n ("link quality:") + QString (" ");
  QLabel* icon = new QLabel (this);
  icon -> setPixmap (*( ::GetSmallAntenna () ));
  icon -> setMaximumWidth (32);
  quality = new QLabel (this);
  quality -> setText ("");
  QHBoxLayout* l = (QHBoxLayout*) layout ();
  l ->   insertStretch (2, 0);
  m_timer = new QTimer (this);
  QObject::connect( m_timer, SIGNAL(timeout()), this, SLOT(Refresh()) );
}

void WirelessStatus::SetActive (bool state)
{
  if (state) {
    Refresh ();
    if (!m_timer -> isActive ())
      m_timer -> start (5000);
  } else if (m_timer -> isActive ())
    m_timer -> stop ();
}

//#include <iostream>

void WirelessStatus::Refresh ()
{
  //std::cout << "tick" << std::endl;
  QString perc;
  perc.setNum (WirelessLinkQuality (dev));
  quality -> setText (format + perc + QString ("%"));
}

